Package org.gradle.api.artifacts.transform

# Interface VariantTransform

@Incubating public interface VariantTransform
Registration of an variant transform.

Since:
  3.5

## Method Summary

Modifier and Type
Method
Description
`void`
`artifactTransform(Class<? extends ArtifactTransform> type)`
Action to transform artifacts for this variant transform.
`void`
`artifactTransform(Class<? extends ArtifactTransform> type, Action<? super ActionConfiguration> configAction)`
Action to transform artifacts for this variant transform, potentially supplying some configuration to inject into the transform.
`AttributeContainer`
`getFrom()`
Attributes that match the variant that is consumed.
`AttributeContainer`
`getTo()`
Attributes that match the variant that is produced.

## Method Details

### getFrom

AttributeContainer getFrom()
Attributes that match the variant that is consumed.

### getTo

AttributeContainer getTo()
Attributes that match the variant that is produced.

### artifactTransform

void artifactTransform(Class<? extends ArtifactTransform> type)
Action to transform artifacts for this variant transform.

An instance of the specified type is created for each file that is to be transformed. The class should provide a public zero-args constructor.

### artifactTransform

void artifactTransform(Class<? extends ArtifactTransform> type, Action<? super ActionConfiguration> configAction)
Action to transform artifacts for this variant transform, potentially supplying some configuration to inject into the transform.

An instance of the specified type is created for each file that is to be transformed. The class should provide a public constructor that accepts the provided configuration.